import { transports } from "winston";
import DailyRotateFile from "winston-daily-rotate-file";
import TransportStream from "winston-transport";
export type AppMetadata = {
    icon: string;
    name: string;
    description: string;
    url: string;
    debugMode?: boolean;
};
export type LogOptions = {
    level: "TRACE" | "INFO" | "ERROR" | string;
    transports: TransportStream | TransportStream[];
};
export { transports as LoggerTransports };
export { DailyRotateFile };
declare class SDK {
    private static _log;
    static get log(): LogOptions;
    static set log(value: LogOptions);
    private static _appMetadata;
    static get appMetadata(): AppMetadata;
    static set appMetadata(value: AppMetadata);
}
export { SDK };
